Skip to main content
GET
/
whatsapp
/
conversations
/
{conversation_id}
/
flow_executions
List conversation workflow executions
curl --request GET \
  --url https://api.kapso.ai/platform/v1/whatsapp/conversations/{conversation_id}/flow_executions \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "status": "running",
      "tracking_id": "8b1c9d2e-3f4a-5b6c-7d8e-9f0a1b2c3d4e",
      "whatsapp_conversation_id": "8c9c7a6b-5d4e-3f2a-1b0c-9d8e7f6a5b4c",
      "started_at": "2025-12-05T17:20:00Z",
      "last_event_at": "2025-12-05T17:25:00Z",
      "ended_at": null,
      "workflow": {
        "id": "flow_789",
        "name": "Order Support",
        "status": "active"
      },
      "current_step": {
        "identifier": "wait_response",
        "stepable_type": "FlowWaitStep"
      }
    }
  ],
  "paging": {
    "cursors": {
      "before": "eyJ2YWx1ZXMiOlsiMjAyNi0wNS0xNVQxMzowNTowMC4wMDAwMDBaIiwiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDAwIl0sImNvbHVtbnMiOlsiY3JlYXRlZF9hdCIsImlkIl19",
      "after": "eyJ2YWx1ZXMiOlsiMjAyNi0wNS0xNVQxMjowNTowMC4wMDAwMDBaIiwiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDAwIl0sImNvbHVtbnMiOlsiY3JlYXRlZF9hdCIsImlkIl19"
    },
    "next": null,
    "previous": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.kapso.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

conversation_id
string<uuid>
required

WhatsApp conversation identifier

Query Parameters

status
enum<string>

Filter by execution status

Available options:
running,
waiting,
ended,
failed,
handoff
limit
integer
default:20

Maximum number of results per cursor-paginated page (default 20, max 100).

Required range: 1 <= x <= 100
before
string

Cursor for the previous page (Base64 encoded).

after
string

Cursor for the next page (Base64 encoded).

Response

Executions retrieved successfully

List of workflow executions with cursor pagination metadata

data
object[]
required
paging
object
required